Subject: Re: bug#37895: 26.3; X protocol error: BadLength (poly request too large or internal Xlib length error) on protocol request 139

From: Eli Zaretskii <[email-masked]>
Date: Thu, 24 Oct 2019 16:58:22 +0300

> From: Unknown <[email-masked]>
> Date: Thu, 24 Oct 2019 00:14:13 +0200
> 
> Emacs crashes after triggering an X error message.
> 
> To reproduce the error, I have to start emacs as a daemon via
> 
> > emacs --fg-daemon
> 
> and a client via
> 
> > emacsclient -create-frame --alternate-editor=""
> 
> As soon as I open a source file (C++ in my case), emacs crashes
> immediately based on the following X error:

Does this happen with _any_ file or just some?  If the latter, can you
try to figure out what is special about those files?

If this happens with any file, does it also happen with pure ASCII
files, like the README files in the Emacs distribution?

> Note: the bug seems to be very similar to the
> one reported here:
> 
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30874#33
> 
> My emacs is (naturally) heavily modded, and I was not able to pinpoint
> the problem to one concrete package. Noticably, I *can* enter the
> unicode symbol 274c.

The backtrace seems to indicate that Emacs crashed trying to open some
font, so tracing the fonts Emacs loads might give a hint wrt what goes
wrong.

Thanks.